<?php
    class CookieBanner extends Modules {
        static function __install() {
            Group::add_permission("cb_exclude_group", "Exclude for CookieBanner");
            $config = Config::current();
            $config->set("cb_text", "We use cookies for better service, enhance performance and for tracking on our Website.");
            $config->set("cb_front_position", "body");
        }

        static function __uninstall($confirm) {
			if ($confirm)
                Group::remove_permission("cb_exclude_group");

		    $config = Config::current();
            $config->remove("cb_text");
            $config->remove("cb_front_position");
        }

        static function admin_cookiebanner_settings($admin) {
            if (!Visitor::current()->group->can("change_settings"))
                show_403(__("Access Denied"), __("You do not have sufficient privileges to change settings."));

            if (empty($_POST))
                return $admin->display("cookiebanner_settings");

            $config = Config::current();
            if (!isset($_POST['hash']) or $_POST['hash'] != $config->secure_hashkey)
                show_403(__("Access Denied"), __("Invalid security key."));

            if (!empty($_POST['cb_text'])) {
                $config->set("cb_text", $_POST['cb_text']);
                $config->set("cb_front_position", $_POST['cb_front_position']);

                Flash::notice(__("Settings updated."), "/admin/?action=cookiebanner_settings");
            } else
                Flash::warning(__("Please enter your banner text."), "/admin/?action=cookiebanner_settings");
        }

        static function settings_nav($navs) {
            if (Visitor::current()->group->can("change_settings"))
                $navs["cookiebanner_settings"] = array("title" => __("CookieBanner", "cookiebanner"));

            return $navs;
        }

		public function head() {
            $config = Config::current();
            $visitor = Visitor::current();
			if (!$config->cb_text or $config->cb_front_position != "head" or $visitor->group()->can("cb_exclude_group"))
                return;

            self::cb_text($config->cb_text);
        }

		public function end_content() {
            $config = Config::current();
			$visitor = Visitor::current();
            if (!$config->cb_text or $config->cb_front_position != "body" or $visitor->group()->can("cb_exclude_group"))
                return;

            self::cb_output($config->cb_text);
        }

        public function cb_output($text) {
?>
        <div id="cookiebanner">
		    <div class="cookiebanner">
		        <p>
				    <span><?php echo $text; ?></span>
					<span onclick="cookieUnderstand()"> X </span>
				</p>
            </div>				
		</div>
		<style>
		    #start { background-position: 0 27px }
			.cookiebanner { height: 35px; line-height: 35px; text-align: left; border-bottom: 2px solid #f4f4f4 }
			.cookiebanner p { width: 750px/*980px*/; margin: 0 auto; font-size: 1.5em; color: #1ebfbf }
			.cookiebanner p span { /*padding: 0 15px*/ }
			.cookiebanner p span:last-child { float: right; cursor: pointer; color: #1ebfbf }
		</style>
		<script>
		    $(document).ready(function() {				
				var cb_contennt = $('#cookiebanner').html();
				$('#cookiebanner').empty();
				if( $('#bg').length > 0 )
				{		
				    $('#bg').before(cb_contennt);
				}
				else
				{
				    //$('body').before(cb_contennt);
				    $('body').before(cb_contennt);
				}					
			});		
			
			function cookieUnderstand()
			{
				alert('Thanks for understand, but banner stays here..');				
			}
		</script>
<?php
        }
    }
